
Robotics Systems Types - Feature #1787
Add type for Cartesian velocities and accelerations
03/03/2014 05:53 PM - Anonymous

Status: Resolved Start date: 03/03/2014
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version: rsb-0.11
Description

Similar to source:proto/stable/rst/geometry/Pose.proto we should introduce types for velocity and acceleration in Cartesian space.

Related issues:
Related to Robotics Systems Types - Tasks # 1913: Move dynamics types to rst.... Rejected 07/04/2014

Associated revisions
Revision caaf82c3 - 04/24/2014 06:24 PM - J. Wienke

Twist type for spatial velocities

Added a type Twist following the screw theory to describe spatial
velocities as translatory and angular components.

refs #1787

Revision 9bf364da - 04/24/2014 06:25 PM - J. Wienke

Added type SpatialAccelerations

A type for describing spatial accelerations along the ideas of screw
theory with angular and translatory parts.

fixes #1787

History
#1 - 04/23/2014 02:07 PM - J. Wienke

We would also like to have such a type for mobile robot navigation.

#2 - 04/23/2014 02:28 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

#3 - 04/23/2014 02:42 PM - Anonymous
We may take some inspiration from the project:rci types for that matter. Cf
    -  https://code.cor-lab.org/projects/rci/repository/entry/trunk/rci/src/rci/dto/CartesianVelocity.h
    -  https://code.cor-lab.org/projects/rci/repository/entry/trunk/rci/src/rci/dto/CartesianAcceleration.h

I am no longer sure, however, if quaternions work for rotational velocity and acceleration (cf lengthy discussion on a similar matter #1715 regarding 
torques in cartesian space). This needs to be checked!

#4 - 04/23/2014 02:56 PM - J. Wienke
Observation so far:
    -  ROS only has a type for velocities and they use euler angles for rotational velocities: http://docs.ros.org/api/geometry_msgs/html/msg/Twist.html

#5 - 04/23/2014 02:58 PM - J. Wienke

Further observation @arne: You only forward-declared RotationalAcceleration but never implemented it ;)

#6 - 04/23/2014 04:04 PM - J. Wienke
- File 0001-Twist-type-for-spatial-velocities.patch added
- File 0002-Added-type-SpatialAccelerations.patch added

We propose the types attached as patches. The types follow the existing conventions of the rst.dynamics package by using screw theory for
representation.

It would be good if others could also review these types since decisions are not that easy in this case.

#7 - 04/23/2014 04:04 PM - J. Wienke
- % Done changed from 0 to 50

#8 - 04/24/2014 06:30 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset rst-proto|commit:9bf364da7f262a213d079387893e9cc066cec7d0.

#9 - 07/04/2014 10:24 AM - Anonymous
- Related to Tasks #1913: Move dynamics types to rst.dynamics package added

#10 - 04/30/2015 04:05 PM - J. Wienke
- Category changed from protocol to Type Proposal
- Target version changed from rsb-0.12 to rsb-0.11

Files
0001-Twist-type-for-spatial-velocities.patch 3.13 KB 04/23/2014 J. Wienke
0002-Added-type-SpatialAccelerations.patch 3.31 KB 04/23/2014 J. Wienke
